Skip to Content

Search

Full-text search across courses and content. Tokens need the search read right.

Search within an organization

GET/api/v1/search/org_slug/{org_slug}
API tokensearch:reador user session

Performs a paginated search across courses, folders, and users within the given organization. Query length and page size are capped to prevent data dumping. Requires authentication.

Path parameters

org_slugstringrequired

Query parameters

querystringrequired

Search query

pageinteger

Page number

limitinteger

Items per page (max 50)

Returns

SearchResult — Search results grouped by resource type

coursesCourseRead[]required
Show child attributes
namestringrequired
descriptionstring | null
aboutstring | null
learningsstring | null
tagsstring | null
thumbnail_typeenum | null
imagevideoboth
thumbnail_imagestring | null
thumbnail_videostring | null
publicbooleanrequired
publishedboolean
open_to_contributorsbooleanrequired
idintegerrequired
org_idinteger
authorsAuthorWithRole[]required
Show child attributes
userUserReadrequired
Show child attributes
usernamestringrequired
first_namestringrequired
last_namestringrequired
emailstringrequired
avatar_imagestring | null
biostring | null
detailsDetails | null
profileProfile | null
extra_metadataExtra Metadata | null
idintegerrequired
user_uuidstringrequired
email_verifiedboolean
last_login_atstring | null
signup_methodstring | null
is_superadminboolean
authorshipResourceAuthorshipEnumrequired
CREATORCONTRIBUTORMAINTAINERREPORTER
authorship_statusResourceAuthorshipStatusEnumrequired
ACTIVEPENDINGINACTIVE
creation_datestringrequired
update_datestringrequired
course_uuidstringrequired
creation_datestringrequired
update_datestringrequired
seoSeo | null
extra_metadataExtra Metadata | null
foldersFolderRead[]required
Show child attributes
namestringrequired
publicboolean
descriptionstring | null
thumbnail_imagestring | null
colorstring | null
idintegerrequired
org_idintegerrequired
folder_uuidstringrequired
parent_folder_idinteger | null
orderinteger
creation_datestringrequired
update_datestringrequired
total_itemsinteger
subfoldersFolderRead[]
Show child attributes
namestringrequired
publicboolean
descriptionstring | null
thumbnail_imagestring | null
colorstring | null
idintegerrequired
org_idintegerrequired
folder_uuidstringrequired
parent_folder_idinteger | null
orderinteger
creation_datestringrequired
update_datestringrequired
total_itemsinteger
subfoldersFolderRead[]
Show child attributes
namestringrequired
publicboolean
descriptionstring | null
thumbnail_imagestring | null
colorstring | null
idintegerrequired
org_idintegerrequired
folder_uuidstringrequired
parent_folder_idinteger | null
orderinteger
creation_datestringrequired
update_datestringrequired
total_itemsinteger
subfoldersFolderRead[]
itemsFolderContentItem[]
breadcrumbsFolderBreadcrumb[]
itemsFolderContentItem[]
Show child attributes
resource_uuidstringrequired
resource_typestringrequired
positioninteger
resourceResourcerequired
breadcrumbsFolderBreadcrumb[]
Show child attributes
folder_uuidstringrequired
namestringrequired
itemsFolderContentItem[]
Show child attributes
resource_uuidstringrequired
resource_typestringrequired
positioninteger
resourceResourcerequired
breadcrumbsFolderBreadcrumb[]
Show child attributes
folder_uuidstringrequired
namestringrequired
usersUserRead[]required
Show child attributes
usernamestringrequired
first_namestringrequired
last_namestringrequired
emailstringrequired
avatar_imagestring | null
biostring | null
detailsDetails | null
profileProfile | null
extra_metadataExtra Metadata | null
idintegerrequired
user_uuidstringrequired
email_verifiedboolean
last_login_atstring | null
signup_methodstring | null
is_superadminboolean
communitiesCommunityRead[]required
Show child attributes
namestringrequired
descriptionstring | null
publicboolean
thumbnail_imagestring | null
idintegerrequired
org_idinteger
course_idinteger | null
community_uuidstringrequired
moderation_wordsstring[]
moderation_settingsModeration Settings | null
creation_datestringrequired
update_datestringrequired
discussionsSearchDiscussionRead[]required
Show child attributes
idintegerrequired
titlestringrequired
contentstring | null
labelstring | null
emojistring | null
community_idinteger
org_idinteger
author_idinteger
discussion_uuidstringrequired
upvote_countintegerrequired
edit_countinteger
is_pinnedboolean
is_lockedboolean
creation_datestringrequired
update_datestringrequired
community_uuidstring
playgroundsPlaygroundRead[]required
Show child attributes
namestringrequired
descriptionstring | null
thumbnail_imagestring | null
access_typePlaygroundAccessType
publicauthenticatedrestricted
publishedboolean
course_uuidstring | null
html_contentstring | null
idintegerrequired
org_idintegerrequired
org_uuidstring | null
org_slugstring | null
playground_uuidstringrequired
course_idinteger | null
created_byinteger | null
author_usernamestring | null
author_first_namestring | null
author_last_namestring | null
author_user_uuidstring | null
author_avatar_imagestring | null
creation_datestringrequired
update_datestringrequired
podcastsPodcastRead[]required
Show child attributes
namestringrequired
descriptionstring | null
aboutstring | null
tagsstring | null
thumbnail_imagestring | null
publicbooleanrequired
publishedboolean
idintegerrequired
org_idinteger
authorsAuthorWithRole[]required
Show child attributes
userUserReadrequired
Show child attributes
usernamestringrequired
first_namestringrequired
last_namestringrequired
emailstringrequired
avatar_imagestring | null
biostring | null
detailsDetails | null
profileProfile | null
extra_metadataExtra Metadata | null
idintegerrequired
user_uuidstringrequired
email_verifiedboolean
last_login_atstring | null
signup_methodstring | null
is_superadminboolean
authorshipResourceAuthorshipEnumrequired
CREATORCONTRIBUTORMAINTAINERREPORTER
authorship_statusResourceAuthorshipStatusEnumrequired
ACTIVEPENDINGINACTIVE
creation_datestringrequired
update_datestringrequired
podcast_uuidstringrequired
creation_datestringrequired
update_datestringrequired
seoSeo | null
total_coursesinteger
total_foldersinteger
total_usersinteger
total_communitiesinteger
total_discussionsinteger
total_playgroundsinteger
total_podcastsinteger
Error responses
  • 401 Authentication required
  • 403 User is not permitted to search this organization
  • 404 Organization not found
  • 422 Validation ErrorHTTPValidationError
Request
Response
{
  "courses": [
    {
      "name": "Example name",
      "description": "An example description",
      "about": "string",
      "learnings": "string",
      "tags": "string",
      "thumbnail_type": "image",
      "thumbnail_image": "string",
      "thumbnail_video": "string",
      "public": false,
      "published": false,
      "open_to_contributors": false,
      "id": 1,
      "org_id": 1,
      "authors": [
        {
          "user": {
            "username": null,
            "first_name": null,
            "last_name": null,
            "email": null,
            "avatar_image": null,
            "bio": null,
            "details": null,
            "profile": null,
            "extra_metadata": null,
            "id": null,
            "user_uuid": null,
            "email_verified": null,
            "last_login_at": null,
            "signup_method": null,
            "is_superadmin": null
          },
          "authorship": "CREATOR",
          "authorship_status": "ACTIVE",
          "creation_date": "string",
          "update_date": "string"
        }
      ],
      "course_uuid": "string",
      "creation_date": "string",
      "update_date": "string",
      "seo": {},
      "extra_metadata": {}
    }
  ],
  "folders": [
    {
      "name": "Example name",
      "public": true,
      "description": "An example description",
      "thumbnail_image": "string",
      "color": "#0a0a0a",
      "id": 1,
      "org_id": 1,
      "folder_uuid": "string",
      "parent_folder_id": 1,
      "order": 0,
      "creation_date": "string",
      "update_date": "string",
      "total_items": 0,
      "subfolders": [],
      "items": [],
      "breadcrumbs": []
    }
  ],
  "users": [
    {
      "username": "string",
      "first_name": "Example name",
      "last_name": "Example name",
      "email": "ada@example.com",
      "avatar_image": "string",
      "bio": "string",
      "details": {},
      "profile": {},
      "extra_metadata": {},
      "id": 1,
      "user_uuid": "string",
      "email_verified": false,
      "last_login_at": "string",
      "signup_method": "string",
      "is_superadmin": false
    }
  ],
  "communities": [
    {
      "name": "Example name",
      "description": "An example description",
      "public": true,
      "thumbnail_image": "string",
      "id": 1,
      "org_id": 1,
      "course_id": 1,
      "community_uuid": "string",
      "moderation_words": [],
      "moderation_settings": {},
      "creation_date": "string",
      "update_date": "string"
    }
  ],
  "discussions": [
    {
      "id": 1,
      "title": "Example title",
      "content": "string",
      "label": "string",
      "emoji": "string",
      "community_id": 1,
      "org_id": 1,
      "author_id": 1,
      "discussion_uuid": "string",
      "upvote_count": 0,
      "edit_count": 0,
      "is_pinned": false,
      "is_locked": false,
      "creation_date": "string",
      "update_date": "string",
      "community_uuid": ""
    }
  ],
  "playgrounds": [
    {
      "name": "Example name",
      "description": "An example description",
      "thumbnail_image": "string",
      "access_type": "public",
      "published": false,
      "course_uuid": "string",
      "html_content": "string",
      "id": 1,
      "org_id": 1,
      "org_uuid": "string",
      "org_slug": "my-example-slug",
      "playground_uuid": "string",
      "course_id": 1,
      "created_by": 0,
      "author_username": "string",
      "author_first_name": "Example name",
      "author_last_name": "Example name",
      "author_user_uuid": "string",
      "author_avatar_image": "string",
      "creation_date": "string",
      "update_date": "string"
    }
  ],
  "podcasts": [
    {
      "name": "Example name",
      "description": "An example description",
      "about": "string",
      "tags": "string",
      "thumbnail_image": "string",
      "public": false,
      "published": false,
      "id": 1,
      "org_id": 1,
      "authors": [
        {
          "user": {
            "username": null,
            "first_name": null,
            "last_name": null,
            "email": null,
            "avatar_image": null,
            "bio": null,
            "details": null,
            "profile": null,
            "extra_metadata": null,
            "id": null,
            "user_uuid": null,
            "email_verified": null,
            "last_login_at": null,
            "signup_method": null,
            "is_superadmin": null
          },
          "authorship": "CREATOR",
          "authorship_status": "ACTIVE",
          "creation_date": "string",
          "update_date": "string"
        }
      ],
      "podcast_uuid": "string",
      "creation_date": "string",
      "update_date": "string",
      "seo": {}
    }
  ],
  "total_courses": 0,
  "total_folders": 0,
  "total_users": 0,
  "total_communities": 0,
  "total_discussions": 0,
  "total_playgrounds": 0,
  "total_podcasts": 0
}